Subject: [bug#78525] [PATCH] test: Skip a test that fails without python enabled.

From: Collin Funk <[email-masked]>
Date: Wed, 21 May 2025 13:31:22 -0700

Hi Karl,

Karl Berry <[email-masked]> writes:

> Installed and closing. Thanks Collin.
>
> BTW, do you have any idea why the "From " line in your patch is dated
> from 2001?
> From 5f9001d17fa17088468b650a26a6f876dcdca161 Mon Sep 17 00:00:00 2001
>
> Doesn't matter. Just seemed curious. --thanks, karl.

I generate my patches using 'git format-patch' [1]. So in this case when I
have one patch I use the command 'git format-patch -1'.

These patches can easily be applied with the correct author and such
with 'git am' [2]. In this case as the Automake maintainer with commit
access you can run:

    $ git am 0001-test-Skip-a-test-that-fails-without-python-enabled.patch
    $ git push

And it will be correct assuming no merge conflicts or other issues. The
date "Mon Sep 17 00:00:00 2001" is a magic date used by git [3].

Hopefully I explained that well enough. :)

Collin

[1] https://git-scm.com/docs/git-format-patch
[2] https://git-scm.com/docs/git-am
[3] https://github.com/git/git/blob/8613c2bb6cd16ef530dc5dd74d3b818a1ccbf1c0/mailinfo.c#L371C50-L371C73